Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Interface NdsObject

public interface NdsObject
extends javax.naming.directory.DirContext, NdsIteratorFactory, javax.naming.Referenceable, Partitionable

Provides methods for operations on NDS Objects.

The NdsObject interface provides a window into functionality not provided by JNDI. It defines methods dealing with rights as well as methods related to operational attributes.

Fields inherited from class javax.naming.directory.DirContext
`ADD_ATTRIBUTE, REMOVE_ATTRIBUTE, REPLACE_ATTRIBUTE`

Fields inherited from class javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Method Summary
`NdsAttributeRights` | `getAttributeEffectiveRights(NdsObject trustee)` Returns the effective rights of the specified trustee NDS object.
`NdsAttributeRights` | `getAttributeEffectiveRights(NdsObject trustee, java.lang.String attrName)` Returns the effective rights of the specified trustee NDS object for the specified attribute ID.
`NdsAttributeRights` | `getAttributeEffectiveRights(java.lang.String trustee)` Returns the effective rights of the specified trustee String object.
`NdsAttributeRights` | `getAttributeEffectiveRights(java.lang.String trustee, java.lang.String attrName)` Returns the effective rights of the specified trustee String object for the attribute ID.
`javax.naming.NamingEnumeration` | `getAttributesEffectiveRights(NdsObject trustee, java.lang.String[] attrIds)` Returns the effective rights of the specified trustee NDS object and array of attribute IDs.
`javax.naming.NamingEnumeration` | `getAttributesEffectiveRights(java.lang.String trustee, java.lang.String[] attrIds)` Returns the effective rights of the specified trustee String object and array of attribute IDs.
`java.lang.String` | `getBaseClass()` Returns the base class (immediate parent class) of the object.
`java.lang.String` | `getDistinguishedName()` Returns the Distinguished Name of the NDS Object.
`java.util.Date` | `getModificationTime()` Returns the object modification time as a Date type.
`NdsObjectRights` | `getObjectEffectiveRights(NdsObject trustee)` Returns the effective rights of the specified trustee object.
`NdsObjectRights` | `getObjectEffectiveRights(java.lang.String trustee)` Returns the effective rights of the specified trustee (subject) String object.
`int` | `getObjectFlags()` Returns the DSI Entry Flag ID for the object.
`int` | `getSubordinateCount()` Returns a count of the subordinates.
`java.lang.String` | `getTreeName()` Returns the name of the NDS tree where the object resides.
`javax.naming.NamingEnumeration` | `list(java.lang.String name, boolean containers)` Returns a NamingEnumeration of NameClassPair objects that may be container objects only, or all objects subordinate to the specified name.
`javax.naming.NamingEnumeration` | `list(java.lang.String name, java.lang.String className, java.lang.String subordinateName)` Returns a NamingEnumeration of NameClassPair objects that satisfy the specified filter criteria in the className and subordinateName parameters.
`javax.naming.NamingEnumeration` | `listBindings(java.lang.String name, boolean containers)` Returns a NamingEnumeration of Binding objects that may be container objects only, or all objects subordinate to the specified name.
`javax.naming.NamingEnumeration` | `listBindings(java.lang.String name, java.lang.String className, java.lang.String subordinateName)` Returns a NamingEnumeration of Binding objects that satisfy the specified filter criteria in the className and subordinateName parameters.

Methods inherited from interface javax.naming.directory.DirContext
`bind, bind, createSubcontext, createSubcontext, getAttributes, getAttributes, getAttributes, getAttributes, getSchema, getSchema, getSchemaClassDefinition, getSchemaClassDefinition, modifyAttributes, modifyAttributes, modifyAttributes, modifyAttributes, rebind, rebind, search, search, search, search, search, search, search, search`

Methods inherited from interface com.novell.service.nds.NdsIteratorFactory
`createIterator, createIterator, createIterator, createIterator, createIterator`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Methods inherited from interface com.novell.service.nds.naming.Partitionable
`getPartition, getPartition, getPartitionRoot, getPartitionRoot`

Methods inherited from interface javax.naming.Context
`addToEnvironment, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getEnvironment, getNameInNamespace, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

Method Detail

### getDistinguishedName

    public java.lang.String getDistinguishedName()
                                          throws com.novell.service.jncp.NSIException

  Returns the Distinguished Name of the NDS Object.

  The largest supported Distinguished Name is 256 Unicode characters, not including the terminating NULL character. Distinguished Names are not case sensitive, even if one of the naming attributes is case-sensitive.

  Returns:
    A String containing the Distinguished Name.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### getObjectFlags

    public int getObjectFlags()
                       throws com.novell.service.jncp.NSIException

  Returns the DSI Entry Flag ID for the object. These flags return information about an entry's state. The 12 flags are defined within this NDK under NDS Libraries for C documentation (NDS > NDS:Values > DSI ENTRY FLAGS Values).
  Returns:
    The object's DSI Entry Flag ID as an int.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### getSubordinateCount

    public int getSubordinateCount()
                            throws com.novell.service.jncp.NSIException

  Returns a count of the subordinates.
  Returns:
    A count of the subordinates as an int.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### getModificationTime

    public java.util.Date getModificationTime()
                                       throws com.novell.service.jncp.NSIException

  Returns the object modification time as a Date type.
  Returns:
    The Date object as the modification time.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### getBaseClass

    public java.lang.String getBaseClass()
                                  throws com.novell.service.jncp.NSIException

  Returns the base class (immediate parent class) of the object.
  Returns:
    A String containing the base class of the object.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### getTreeName

    public java.lang.String getTreeName()
                                 throws com.novell.service.jncp.NSIException

  Returns the name of the NDS tree where the object resides.
  Returns:
    A String containing the name of the NDS tree in which the object resides.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### getObjectEffectiveRights

    public NdsObjectRights getObjectEffectiveRights(NdsObject trustee)
                                             throws com.novell.service.jncp.NSIException

  Returns the effective rights of the specified trustee object. Determines the rights of trustee (subject) for the current NDS object.
  Parameters:
    `trustee` - NDS Object for which access privileges will be provided.
  Returns:
    The NdsObjectRights object containing the effective rights of the specified trustee object.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.
  See Also:
    `NdsObjectRights`

### getObjectEffectiveRights

    public NdsObjectRights getObjectEffectiveRights(java.lang.String trustee)
                                             throws com.novell.service.jncp.NSIException

  Returns the effective rights of the specified trustee (subject) String object. The String represents the current NDS object for which access rights will be provided.

  The trustee can be one of the following:

  - [Public]
  - [Root]
  - [Creator]
  - [Self]
  - DN of any NDS Object
  Parameters:
    `trustee` - NDS String object for which access privileges will be provided.
  Returns:
    The NdsObjectRights object containing the effective rights of the specified trustee String object.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.
  See Also:
    `NdsObjectRights`

### getAttributeEffectiveRights

    public NdsAttributeRights getAttributeEffectiveRights(NdsObject trustee)
                                                   throws com.novell.service.jncp.NSIException

  Returns the effective rights of the specified trustee NDS object. Determines the rights of the trustee (subject) for the current NDS object.
  Parameters:
    `trustee` - NDS object for which access privileges will be provided.
  Returns:
    The NdsAttributeRights object containing the effective rights of the specified trustee NDS object.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### getAttributeEffectiveRights

    public NdsAttributeRights getAttributeEffectiveRights(java.lang.String trustee)
                                                   throws com.novell.service.jncp.NSIException

  Returns the effective rights of the specified trustee String object. Determines the rights of the trustee (subject) for the current NDS object.

  The trustee can be one of the following:

  - [Public]
  - [Root]
  - [Creator]
  - [Self]
  - DN of any NDS Object
  Parameters:
    `trustee` - Name for which access privileges will be provided.
  Returns:
    The NdsObjectRights object containing the effective rights of the specified trustee String object.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### getAttributeEffectiveRights

    public NdsAttributeRights getAttributeEffectiveRights(NdsObject trustee,
                                                          java.lang.String attrName)
                                                   throws com.novell.service.jncp.NSIException

  Returns the effective rights of the specified trustee NDS object for the specified attribute ID.
  Parameters:
    `trustee` - NDS object for which access privileges will be provided.
    `attrName` - Specific attribute name.
  Returns:
    The NdsAttributeRights object containing the effective rights of the specified trustee NDS object and attribute. ID
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### getAttributeEffectiveRights

    public NdsAttributeRights getAttributeEffectiveRights(java.lang.String trustee,
                                                          java.lang.String attrName)
                                                   throws com.novell.service.jncp.NSIException

  Returns the effective rights of the specified trustee String object for the attribute ID. Determines the rights of the trustee (subject) for the specified attribute ID.

  The trustee can be one of the following:

  - [Public]
  - [Root]
  - [Creator]
  - [Self]
  - DN of any NDS Object
  Parameters:
    `trustee` - Name for which access privileges will be provided.
    `attrName` - Specific attribute name.
  Returns:
    The NdsAttributeRights object containing the effective rights of the specified trustee and attribute name.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### getAttributesEffectiveRights

    public javax.naming.NamingEnumeration getAttributesEffectiveRights(NdsObject trustee,
                                                                       java.lang.String[] attrIds)
                                                                throws com.novell.service.jncp.NSIException

  Returns the effective rights of the specified trustee NDS object and array of attribute IDs.
  Parameters:
    `trustee` - NDS object for which access privileges will be provided.
    `attrIds` - Array of attribute IDs for which to return effective rights.
  Returns:
    The NamingEnumeration object containing the effective rights of the specified trustee NDS object and array of attribute IDs.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### getAttributesEffectiveRights

    public javax.naming.NamingEnumeration getAttributesEffectiveRights(java.lang.String trustee,
                                                                       java.lang.String[] attrIds)
                                                                throws com.novell.service.jncp.NSIException

  Returns the effective rights of the specified trustee String object and array of attribute IDs. Determines the rights of the trustee (subject) for the specified array of attribute IDs.

  The trustee can be one of the following:

  - [Public]
  - [Root]
  - [Creator]
  - [Self]
  - DN of any NDS Object
  Parameters:
    `trustee` - Name for which access privileges will be provided.
    `attrIds` - Array of attribute IDs for which to return effective rights.
  Returns:
    The NamingEnumeration object containing the effective rights of the specified trustee String and String array of attribute IDs.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of XPlat libraries.

### list

    public javax.naming.NamingEnumeration list(java.lang.String name,
                                               boolean containers)
                                        throws javax.naming.NamingException

  Returns a NamingEnumeration of NameClassPair objects that may be container objects only, or all objects subordinate to the specified name.
  Parameters:
    `name` - Container name for which subordinate objects will be returned.
    `containers` - If true, specifies that all containers subordinate to name will be returned. If false, specifies that all objects subordinate to name will be returned.
  Returns:
    A NamingEnumeration of NameClassPair objects.

### list

    public javax.naming.NamingEnumeration list(java.lang.String name,
                                               java.lang.String className,
                                               java.lang.String subordinateName)
                                        throws javax.naming.NamingException

  Returns a NamingEnumeration of NameClassPair objects that satisfy the specified filter criteria in the className and subordinateName parameters.
  Parameters:
    `name` - Container name for which NameClassPair objects will be returned for matching subordinates.
    `className` - Specifies a class name to be used as a filter (can contain wildcards).
    `subordinateName` - Specifies an object name to be used as a filter (can contain wildcards).
  Returns:
    A NamingEnumeration of NameClassPair objects matching the criteria specified in the className, subordinateName and containers parameters.

### listBindings

    public javax.naming.NamingEnumeration listBindings(java.lang.String name,
                                                       boolean containers)
                                                throws javax.naming.NamingException

  Returns a NamingEnumeration of Binding objects that may be container objects only, or all objects subordinate to the specified name.
  Parameters:
    `name` - Container name for which subordinate objects will be returned.
    `containers` - If true, specifies that all containers subordinate to name will be returned. If false, specifies that all objects subordinate to name will be returned.
  Returns:
    A NamingEnumeration of Binding objects.

### listBindings

    public javax.naming.NamingEnumeration listBindings(java.lang.String name,
                                                       java.lang.String className,
                                                       java.lang.String subordinateName)
                                                throws javax.naming.NamingException

  Returns a NamingEnumeration of Binding objects that satisfy the specified filter criteria in the className and subordinateName parameters.
  Parameters:
    `name` - Container name for which Binding objects will be returned for matching subordinates.
    `className` - Specifies a class name to be used as a filter (can contain wildcards).
    `subordinateName` - Specifies an object name to be used as a filter (can contain wildcards).
  Returns:
    A NamingEnumeration of Binding objects matching the criteria specified in the className, subordinateName and containers parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD